﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;

namespace MergeRibbonPanel
{
    public partial class Form1 : RibbonForm
    {
        #region Constructor
        public Form1()
        {
            InitializeComponent();
        }
		#endregion

		#region Events

		/// <summary>
		/// Occurs when MDIChildForm is merged.
		/// </summary>
		int count = 1;
		private void toolStripButton1_Click(object sender, EventArgs e)
        {
			Form2 form = new Form2();
			form.MdiParent = this;
			form.Text = "Form" + count;
            form.Show();
            // To Select MDIChildForm when added.
            foreach (ToolStripTabItem TabItem in this.ribbonControlAdv1.Header.MainItems)
            {
                if ((TabItem as ToolStripTabItem).Panel != null
                    && (TabItem as ToolStripTabItem).Panel is RibbonPanelMergeContainer)
                {
                    this.ribbonControlAdv1.SelectedTab = TabItem;
                    break;
                }
            }
			count++;
        }
        #endregion
    }
}
